: Class LDAP_AttributeSet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class LDAP_AttributeSet

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.LDAP_AttributeSet

public class LDAP_AttributeSet
extends java.lang.Object
implements IAttributeSet, java.util.Enumeration

Constructor Summary
`protected` | `LDAP_AttributeSet(netscape.ldap.LDAPAttributeSet aSet)` Create a new emtpy AttributeSet

Method Summary
`IAttribute` | `getAttribute(java.lang.String anAttributeName)` Return the named attribute.
`java.util.Enumeration` | `getEnumeration()` Return the attribute set enumeration.
`boolean` | `hasMoreElements()` Enumeration methods
`java.lang.Object` | `nextElement()` Enumeration methods
`int` | `size()` Return the number of attributes in the set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAP_AttributeSet

    protected LDAP_AttributeSet(netscape.ldap.LDAPAttributeSet aSet)

  Create a new emtpy AttributeSet

Method Detail

### getAttribute

    public IAttribute getAttribute(java.lang.String anAttributeName)

  Return the named attribute.
  Specified by:
    getAttribute in interface IAttributeSet

### size

    public int size()

  Return the number of attributes in the set.
  Specified by:
    size in interface IAttributeSet

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Return the attribute set enumeration. We enumerate our own attribute set.
  Specified by:
    getEnumeration in interface IAttributeSet

### hasMoreElements

    public boolean hasMoreElements()

  Enumeration methods
  Specified by:
    hasMoreElements in interface java.util.Enumeration

### nextElement

    public java.lang.Object nextElement()

  Enumeration methods
  Specified by:
    nextElement in interface java.util.Enumeration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD